<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.3.3
  $Source: /cvsroot/coppermine/stable/themes/chronicles/theme.php,v $
  $Revision: 1.10 $
  $Author: gaugau $
  $Date: 2005/04/19 03:17:15 $
**********************************************
Chronicles Theme for Coppermine Photo Gallery:

Adapted from phpBB2 to Coppermine Photo Gallery by Michael Canning
style & template - v.1a

Chronicles phpBB2 theme by Jakob Persson
**********************************************/

// HTML template for main menu
$template_main_menu = <<<EOT
                <span class="mainmenu">
<!-- BEGIN album_list -->
                        <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}" class="mainmenu">{ALB_LIST_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END album_list -->
<!-- BEGIN my_gallery -->
                        <a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}" class="mainmenu">{MY_GAL_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
                        <a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}" class="mainmenu">{MEMBERLIST_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
                        <a href="{MY_PROF_TGT}" class="mainmenu">{MY_PROF_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END my_profile -->
<!-- BEGIN faq -->
                        <a href="{FAQ_TGT}" title="{FAQ_TITLE}" class="mainmenu">{FAQ_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                        <a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}" class="mainmenu">{ADM_MODE_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                        <a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}" class="mainmenu">{USR_MODE_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                        <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}" class="mainmenu">{UPL_PIC_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END upload_pic -->
<!-- BEGIN register -->
                        <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}" class="mainmenu">{REGISTER_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
<!-- END register -->
<!-- BEGIN login -->
                        <a href="{LOGIN_TGT}" class="mainmenu">{LOGIN_LNK}</a>
<!-- END login -->
<!-- BEGIN logout -->
                        <a href="{LOGOUT_TGT}" class="mainmenu">{LOGOUT_LNK}</a>
<!-- END logout -->
                        <br />
                        <a href="{LASTUP_TGT}" class="mainmenu">{LASTUP_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
                        <a href="{LASTCOM_TGT}" class="mainmenu">{LASTCOM_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
                        <a href="{TOPN_TGT}" class="mainmenu">{TOPN_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
                        <a href="{TOPRATED_TGT}" class="mainmenu">{TOPRATED_LNK}</a>
                        <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
                                                <a href="{FAV_TGT}" class="mainmenu">{FAV_LNK}</a>
                                                <img src="themes/chronicles/images/orange_carret.gif" width="8" height="8" border="0" alt="" />
                        <a href="{SEARCH_TGT}" class="mainmenu">{SEARCH_LNK}</a>
                </span>
EOT;
// HTML template for gallery admin menu
$template_gallery_admin_menu = <<<EOT

                <div align="center">
                <table cellpadding="0" cellspacing="1">
                        <tr>
                                <td class="admin_menu"><a href="editpics.php?mode=upload_approval" title="">{UPL_APP_LNK}</a></td>
                                <td class="admin_menu"><a href="config.php" title="">{CONFIG_LNK}</a></td>
                                <td class="admin_menu"><a href="albmgr.php{CATL}" title="">{ALBUMS_LNK}</a></td>
                                <td class="admin_menu"><a href="catmgr.php" title="">{CATEGORIES_LNK}</a></td>
                                <td class="admin_menu"><a href="usermgr.php" title="">{USERS_LNK}</a></td>
                                <td class="admin_menu"><a href="groupmgr.php" title="">{GROUPS_LNK}</a></td>
                                <td class="admin_menu"><a href="banning.php" title="">{BAN_LNK}</a></td>
                                <td class="admin_menu"><a href="db_ecard.php" title="">{DB_ECARD_LNK}</a></td>
                                <td class="admin_menu"><a href="reviewcom.php" title="">{COMMENTS_LNK}</a></td>
                                <td class="admin_menu"><a href="searchnew.php" title="">{SEARCHNEW_LNK}</a></td>
                                <td class="admin_menu"><a href="util.php" title="">{UTIL_LNK}</a></td>
                                <td class="admin_menu"><a href="profile.php?op=edit_profile" title="">{MY_PROF_LNK}</a></td>
                        </tr>
                </table>
                </div>

EOT;
// HTML template for user admin menu
$template_user_admin_menu = <<<EOT

                <div align="center">
                <table cellpadding="0" cellspacing="1">
                        <tr>
                                <td class="admin_menu"><a href="albmgr.php" title="">{ALBMGR_LNK}</a></td>
                                <td class="admin_menu"><a href="modifyalb.php" title="">{MODIFYALB_LNK}</a></td>
                                <td class="admin_menu"><a href="profile.php?op=edit_profile" title="">{MY_PROF_LNK}</a></td>
                        </tr>
                </table>
                </div>

EOT;
// HTML template for the category list
$template_cat_list = <<<EOT
<!-- BEGIN header -->
        <tr>
                <th class="thCornerL" width="70%"><b>{CATEGORY}</b></td>
                <th class="thTop"  width="15%" align="center"><b>{ALBUMS}</b></td>
                <th class="thCornerR" width="15%" align="center"><b>{PICTURES}</b></td>
       </tr>
<!-- END header -->
<!-- BEGIN catrow_noalb -->
        <tr>
                <td class="catHead" colspan="3">
	<table border="0">
		<tr>
		<td>{CAT_THUMB}</td>
		<td >
		<span class="forumlink">{CAT_TITLE}</span>&nbsp;
		&nbsp;<span class="gentbl">{CAT_DESC}</span>
		</td>
		</tr>
	</table>
	</td>
        </tr>
<!-- END catrow_noalb -->
<!-- BEGIN catrow -->
        <tr>
            <td class="catHead">
		<table border="0">
			<tr>
			<td>{CAT_THUMB}</td>
			<td>
			<span class="forumLink">{CAT_TITLE}</span>&nbsp;
			<span class="gentbl">{CAT_DESC}</span>
			</td>
			</tr>
		</table>
	</td>
                <td class="row1" align="center">{ALB_COUNT}</td>
                <td class="row1" align="center">{PIC_COUNT}</td>
        </tr>
      <tr>
            <td class="row1" colspan=3>{CAT_ALBUMS}</td>
      </tr>
<!-- END catrow -->
<!-- BEGIN footer -->
        <tr>
         <td colspan="3" class="row1">
         <span class="statlink" align="center">{STATISTICS}</span>
         </td>
        </tr>
<!-- END footer -->
<!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="17" alt="" /><br />
<!-- END spacer -->

EOT;
// HTML template for the breadcrumb
$template_breadcrumb = <<<EOT
<!-- BEGIN breadcrumb -->
        <tr>
		<td colspan="3"><span class="nav">{BREADCRUMB}</span></td>
        </tr>
<!-- END breadcrumb -->
<!-- BEGIN breadcrumb_user_gal -->
        <tr>
                <td colspan="3"><span class="nav">{BREADCRUMB}</span></td>
                <table width="100%" cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <!-- td><span class="nav">{BREADCRUMB}</span></td -->
                  <td align="center"><span class="statlink">{STATISTICS}/span></td>
                </tr>
                </table>
                </td>
        </tr>
<!-- END breadcrumb_user_gal -->

EOT;
// HTML template for the album list
$template_album_list = <<<EOT


<!-- BEGIN header -->
        <tr>
<!-- END header -->
<!-- BEGIN album_cell -->
        <td width="{COL_WIDTH}%" height="100%" valign="top" class="catHead">
        <table width="100%" height="100%" cellspacing="0" cellpadding="0">
        <tr>
                <td colspan="3" height="1" valign="top" class="row1">
                 <span class="forumlink"><a href="{ALB_LINK_TGT}" class="forumlink">{ALBUM_TITLE}</a></span
                </td>
        </tr>
        <tr>
                <td colspan="3">
                  <img src="images/spacer.gif" width="1" height="1" alt="" /><br />
                </td>
        </tr>
        <tr height="100%">
                <td align="center" height="100%" valign="middle" class="thumbnails">
                  <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />
                  <a href="{ALB_LINK_TGT}" class="forumlink">{ALB_LINK_PIC}<br /></a>
                </td>
                <td height="100%">
                   <img src="images/spacer.gif" width="1" height="1" alt="" />
                </td>
                <td width="100%" height="100%" valign="top" class="tableb_compact">
                        {ADMIN_MENU}
                        <p>{ALB_DESC}</p>
                        <p class="album_stat">{ALB_INFOS}</p>
                </td>
        </tr>
        </table>
        </td>
<!-- END album_cell -->
<!-- BEGIN empty_cell -->
        <td width="{COL_WIDTH}%" height="100%" valign="top" class="row1">
        <table width="100%" height="100%" cellspacing="0" cellpadding="0">
        <tr>
                <td height="1" valign="top" class="catHead">                     
                </td>
        </tr>
        <tr>
                <td>
                <img src="images/spacer.gif" width="1" height="1" alt="" /><br />
                </td>
        </tr>
        <tr height="100%">
                <td width="100%" height="100%" valign="top" class="row1">
                &nbsp;</td>
        </tr>
        </table>
        </td>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
        </tr>
        <tr>
<!-- END row_separator -->
<!-- BEGIN footer -->
        </tr>
<!-- END footer -->
<!-- BEGIN stat_row -->
        <tr>
         <td colspan="{COLUMNS}" class="row2">
         <span class="statlink" align="center">{STATISTICS}</span>
         </td>
        </tr>
<!-- END stat_row -->
<!-- BEGIN tabs -->
        <tr>
                <td colspan="{COLUMNS}" style="padding: 0px;">
                        <table width="100%" cellspacing="0" cellpadding="0"class="forumline">
                                <tr>
                                <td class="row2">{TABS}</td>
                                </tr>
                        </table>
                </td>
        </tr>
<!-- END tabs -->
<!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="17" alt="" /><br />
<!-- END spacer -->

EOT;
// HTML template for filmstrip display
$template_film_strip = <<<EOT

        <tr>
         <td valign="top" background='themes/chronicles/images/tile.gif' align="center" height='20'>&nbsp;</td>
        </tr>
        <tr>
        <td valign="bottom" class="thumbnails" align="center">
          {THUMB_STRIP}
        </td>
        </tr>
        <tr>
         <td valign="top" background='themes/chronicles/images/tile.gif' align="center" height='20'>&nbsp;</td>
        </tr>
<!-- BEGIN thumb_cell -->
             <a href="{LINK_TGT}">{THUMB}</a>&nbsp;
             {CAPTION}
             {ADMIN_MENU}
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td valign="top" align="center" >1&nbsp;</td>
<!-- END empty_cell -->

EOT;
// HTML template for the album list
$template_album_list_cat = <<<EOT

<!-- BEGIN c_stat_row -->
        <tr>
         <td colspan="{COLUMNS}" class="row2" align="center"><span class="statlink">{STATISTICS}</span></td>
        </tr>
<!-- END c_stat_row -->
<!-- BEGIN c_header -->
        <tr>
<!-- END c_header -->
<!-- BEGIN c_album_cell -->
        <td width="{COL_WIDTH}%" height="100%" valign="top" class="row1">
        <table width="100%" height="100%" cellspacing="0" cellpadding="0">
        <tr>
                <td colspan="3" height="1" valign="top" class="row2">
                <a href="{ALB_LINK_TGT}" class="forumlink"><b>{ALBUM_TITLE}</b></a>
                </td>
        </tr>
        <tr>
                <td colspan="3">
                <img src="images/spacer.gif" width="1" height="1" alt="" /><br />
                </td>
        </tr>
        <tr height="100%">
                <td align="center" height="100%" valign="middle" class="thumbnails">
                <img src="images/spacer.gif" width="{THUMB_CELL_WIDTH}" height="1" class="image" style="margin-top: 0px; margin-bottom: 0px; border: none;" alt="" /><br />
                <a href="{ALB_LINK_TGT}" class="forumlink">{ALB_LINK_PIC}<br /></a>
                </td>
                <td height="100%">
                <img src="images/spacer.gif" width="1" height="1" alt="" />
                </td>
                <td width="100%" height="100%" valign="top" class="tableb_compact">
                {ADMIN_MENU}
                <p>{ALB_DESC}</p>
                <p class="album_stat">{ALB_INFOS}</p>
                </td>
        </tr>
        </table>
        </td>
<!-- END c_album_cell -->
<!-- BEGIN c_empty_cell -->
        <td width="{COL_WIDTH}%" height="100%" valign="top" class="row1">
        <table width="100%" height="100%" cellspacing="0" cellpadding="0">
        <tr>
                <td height="1" valign="top" class="catHead">
                <b>&nbsp;</b>
                </td>
        </tr>
        <tr>
                <td>
                <img src="images/spacer.gif" width="1" height="1" alt="" /><br />
                </td>
        </tr>
        <tr height="100%">
                <td width="100%" height="100%" valign="top" class="row2">&nbsp;</td>
        </tr>
        </table>
        </td>
<!-- END c_empty_cell -->
<!-- BEGIN c_row_separator -->
        </tr>
        <tr>
<!-- END c_row_separator -->
<!-- BEGIN c_footer -->
        </tr>
<!-- END c_footer -->
<!-- BEGIN c_tabs -->
        <tr>
           <td colspan="{COLUMNS}" style="padding: 0px;">
            <table width="100%" cellspacing="0" cellpadding="0">
               <tr>
                 {TABS}
               </tr>
           </table>
                </td>
        </tr>
<!-- END c_tabs -->
<!-- BEGIN c_spacer -->
        <img src="images/spacer.gif" width="1" height="17" alt="" /><br />
<!-- END c_spacer -->
EOT;
// HTML template for the ALBUM admin menu displayed in the album list
$template_album_admin_menu = <<<EOT
        <table border="0" cellpadding="0" cellspacing="1">
                <tr>
                        <td align="center" valign="middle" class="admin_menu">
                         <a href="delete.php?id={ALBUM_ID}&what=album" class="adm_menu" onclick="return confirm('{CONFIRM_DELETE}');">{DELETE}</a>
                        </td>
                        <td align="center" valign="middle" class="admin_menu">
                         <a href="modifyalb.php?album={ALBUM_ID}" class="adm_menu">{MODIFY}</a>
                        </td>
                        <td align="center" valign="middle" class="admin_menu">
                         <a href="editpics.php?album={ALBUM_ID}" class="adm_menu">{EDIT_PICS}</a>
            